<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://chalaksoft.ir
 * @since             1.0.0
 * @package           Chalak_Hesap_Api
 *
 * @wordpress-plugin
 * Plugin Name:       Chalakhesab
 * Plugin URI:        https://chalakhesab.ir
 * Description:       provide aby api to connect chalakhesab to the your wordpress website
 * Version:           1.0.0
 * Author:            ChalakSoft dev
 * Author URI:        https://chalaksoft.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       chalak-hesap-api
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('CHALAK_HESAP_API_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-chalak-hesap-api-activator.php
 */
function activate_chalak_hesap_api()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-chalak-hesap-api-activator.php';
    Chalak_Hesap_Api_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-chalak-hesap-api-deactivator.php
 */
function deactivate_chalak_hesap_api()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-chalak-hesap-api-deactivator.php';
    Chalak_Hesap_Api_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_chalak_hesap_api');
register_deactivation_hook(__FILE__, 'deactivate_chalak_hesap_api');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-chalak-hesap-api.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_chalak_hesap_api()
{

    $plugin = new Chalak_Hesap_Api();
    $plugin->run();

//    new Chalak_Hesab_Api();
    add_action('rest_api_init', array(new Chalak_Hesab_Api_ROUTES(), 'register_routes'));
}

run_chalak_hesap_api();
