<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://chalaksoft.ir
 * @since      1.0.0
 *
 * @package    Chalak_Hesap_Api
 * @subpackage Chalak_Hesap_Api/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Chalak_Hesap_Api
 * @subpackage Chalak_Hesap_Api/includes
 * @author     ChalakSoft dev <info@chalaksoft.ir>
 */
class Chalak_Hesap_Api_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'chalak-hesap-api',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
